curl --request POST \
--url https://api-{dc}.moengage.com/core-services/v1/campaigns/{parent_campaign_id}/executions \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'MOE-APPKEY: <moe-appkey>' \
--data '
{
"request_id": "child_req_12345",
"page": 1,
"limit": 15
}
'{
"executions": [
{
"campaign_id": "camp_child_001",
"sent_time": "2024-06-24T14:30:18.908000",
"status": "Sent"
},
{
"campaign_id": "camp_child_002",
"sent_time": "2024-06-24T15:27:45.971000",
"status": "Sent"
},
{
"campaign_id": "camp_child_003",
"sent_time": "2024-06-24T15:47:43.528000",
"status": "Sent"
},
{
"campaign_id": "camp_child_004",
"sent_time": "2024-06-24T15:54:26.254000",
"status": "Sent"
},
{
"campaign_id": "camp_child_005",
"sent_time": "2024-06-24T16:35:01.834000",
"status": "Sending"
}
],
"total_instances": 8
}{
"error": {
"code": "400 Bad Request",
"message": "request_id key is mandatory field",
"target": "request_id",
"details": [
{
"target": "request_id",
"message": "request_id key is mandatory field"
}
],
"request_id": "11"
}
}{
"error": {
"code": "401 Authentication error",
"message": "Authentication required",
"details": [
{
"code": "InvalidValue",
"target": "APP_SECRET_KEY",
"message": [
{
"code": "InvalidValue",
"target": "APP_SECRET_KEY",
"message": "Invalid APP_SECRET_KEY is provided."
}
]
}
],
"request_id": ""
}
}{
"error": {
"code": "500 Internal Server Error",
"message": "Something went wrong. Please contact Moengage team",
"target": "string",
"details": [
{
"message": "Expecting value: line 1 column 1 (char 0)",
"target": ""
}
]
}
}Get Child Campaigns
This API retrieves child campaign execution details for Periodic or Business Event-triggered campaigns. Use this API to track execution history of recurring campaigns and monitor the performance of individual instances.
POST
/
campaigns
/
{parent_campaign_id}
/
executions
curl --request POST \
--url https://api-{dc}.moengage.com/core-services/v1/campaigns/{parent_campaign_id}/executions \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'MOE-APPKEY: <moe-appkey>' \
--data '
{
"request_id": "child_req_12345",
"page": 1,
"limit": 15
}
'{
"executions": [
{
"campaign_id": "camp_child_001",
"sent_time": "2024-06-24T14:30:18.908000",
"status": "Sent"
},
{
"campaign_id": "camp_child_002",
"sent_time": "2024-06-24T15:27:45.971000",
"status": "Sent"
},
{
"campaign_id": "camp_child_003",
"sent_time": "2024-06-24T15:47:43.528000",
"status": "Sent"
},
{
"campaign_id": "camp_child_004",
"sent_time": "2024-06-24T15:54:26.254000",
"status": "Sent"
},
{
"campaign_id": "camp_child_005",
"sent_time": "2024-06-24T16:35:01.834000",
"status": "Sending"
}
],
"total_instances": 8
}{
"error": {
"code": "400 Bad Request",
"message": "request_id key is mandatory field",
"target": "request_id",
"details": [
{
"target": "request_id",
"message": "request_id key is mandatory field"
}
],
"request_id": "11"
}
}{
"error": {
"code": "401 Authentication error",
"message": "Authentication required",
"details": [
{
"code": "InvalidValue",
"target": "APP_SECRET_KEY",
"message": [
{
"code": "InvalidValue",
"target": "APP_SECRET_KEY",
"message": "Invalid APP_SECRET_KEY is provided."
}
]
}
],
"request_id": ""
}
}{
"error": {
"code": "500 Internal Server Error",
"message": "Something went wrong. Please contact Moengage team",
"target": "string",
"details": [
{
"message": "Expecting value: line 1 column 1 (char 0)",
"target": ""
}
]
}
}This API is available on request and isn’t enabled by default. To enable it for your workspace, contact your Customer Success Manager or raise a support ticket.
Not available in V5This endpoint is not yet available in V5. Use this V1 endpoint at
POST /core-services/v1/campaigns/{parent_campaign_id}/executions until V5 support is added.Information Retrieved
- Child campaign IDs
- Sent time for each execution
- Status of each child campaign
- Total number of times the parent campaign has been executed
Note
- Currently, you can use this API to get the child of Periodic and Business Event-triggered Email and Push campaigns.
- You can only retrieve child campaigns for campaigns created via the Create Campaign API.
- Results are paginated with a maximum of 15 children per page.
Rate Limits
| Rate Limit Name | Rate Limit |
|---|---|
| get child campaign per second | The total number of get child campaigns requests per second per client allowed is 10. |
| get child campaign per minute | The total number of get child campaigns requests per minute per client allowed is 100. |
| get child campaign per hour | The total number of get child campaigns requests per hour per client allowed is 6000. |
Notes
- Breaching the limits will reject the request.
- Per hour and per day limits will consider the calculation based on the last hour and last 24 hrs respectively.
Authorizations
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
- Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
- Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.
For more information on authentication and getting your credentials, refer here.
Headers
Path Parameters
Body
application/json
Provide pagination parameters for retrieving child campaign executions.
You can request to retrieve child campaign execution details.